This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 809014 - strange build error with ndiswrapper on i686
strange build error with ndiswrapper on i686
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
16
i686 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-02 04:51 EDT by leigh scott
Modified: 2012-04-25 23:28 EDT (History)
6 users (show)

See Also:
Fixed In Version: kernel-2.6.43.2-6.fc15
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-04-13 09:57:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Proposed fix (1.00 KB, patch)
2012-04-02 19:06 EDT, Jeremy Fitzhardinge
no flags Details | Diff

  None (edit)
Description leigh scott 2012-04-02 04:51:19 EDT
Description of problem:
I can't build ndiswrapper for F16 or F17

http://buildsys.rpmfusion.org/logs/fedora-16-rpmfusion_free/12565-ndiswrapper-kmod-1.57-2.fc16/i686/build.log

http://buildsys.rpmfusion.org/logs/fedora-17-rpmfusion_free/12562-ndiswrapper-kmod-1.57-2.fc17/i686/build.log


/builddir/build/BUILD/ndiswrapper-kmod-1.57/_kmod_build_3.3.0-8.fc17.i686/driver/ntoskernel_io.c: Assembler messages:
/builddir/build/BUILD/ndiswrapper-kmod-1.57/_kmod_build_3.3.0-8.fc17.i686/driver/ntoskernel_io.c:131: Error: bad register name `%sil'
make[2]: *** [/builddir/build/BUILD/ndiswrapper-kmod-1.57/_kmod_build_3.3.0-8.fc17.i686/driver/ntoskernel_io.o] Error 1


Additional info:

I have also filed a report here 

http://sourceforge.net/tracker/?func=detail&aid=3513678&group_id=93482&atid=604450

Comment#1 indicated that this commit is causing the issue

http://git.kernel.org/?p=linux/kernel/git/torvalds/linux.git;a=commitdiff;h=31a8394e069e47dc47f4c29e4213aa943342f19f
Comment 1 Dave Jones 2012-04-02 13:08:20 EDT
ndiswrapper needs fixing.
Comment 2 Dave Jones 2012-04-02 13:08:59 EDT
oops, ignore previous comment.  Added Jeremy to cc to see if this is correct.
Comment 3 leigh scott 2012-04-02 13:41:23 EDT
(In reply to comment #1)
> ndiswrapper needs fixing.

It builds fine for x86_64

http://buildsys.rpmfusion.org/logs/fedora-17-rpmfusion_free/12562-ndiswrapper-kmod-1.57-2.fc17/x86_64/build.log
Comment 4 Jeremy Fitzhardinge 2012-04-02 19:06:24 EDT
Created attachment 574671 [details]
Proposed fix
Comment 5 leigh scott 2012-04-03 17:42:31 EDT
The patch fixes the build error for local test builds, how long till it's applied to the F15 - F18 kernel branches?

Thanks

Leigh
Comment 6 Josh Boyer 2012-04-03 20:43:59 EDT
Upstream post:

https://lkml.org/lkml/2012/4/2/504

we'll wait to see if there are any iterations of the patch (doubtful) and bring it back when they suck it into Linus' tree or the tip tree.
Comment 7 Josh Boyer 2012-04-10 09:18:32 EDT
There wound up being two fixes needed.  These have been backported to all Fedora branches.  Will be in the next build of all of them.
Comment 8 leigh scott 2012-04-12 16:47:17 EDT
(In reply to comment #7)
> There wound up being two fixes needed.  These have been backported to all
> Fedora branches.  Will be in the next build of all of them.

Thank you.

The new kernels fix the build error so this bug report can be closed.
Comment 9 Fedora Update System 2012-04-13 20:40:11 EDT
kernel-2.6.43.2-2.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/kernel-2.6.43.2-2.fc15
Comment 10 Fedora Update System 2012-04-21 12:47:06 EDT
kernel-2.6.43.2-6.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/kernel-2.6.43.2-6.fc15
Comment 11 Fedora Update System 2012-04-25 23:28:20 EDT
kernel-2.6.43.2-6.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.